
package de.ivu.elect.presentation.benutzerverwaltung;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.boundary.BenutzerParameterSearchParameters;
import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerParameter;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.benutzerverwaltung.form.BenutzerParameterSearchFormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;

@Named(AbstractBenutzerParameterSearchView.COMPONENT_NAME)
@OnlineHilfeId(value = "489", mehrfachVergebenOk = true)
public class BenutzerParameterSearchView extends AbstractBenutzerParameterSearchView {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BenutzerParameterSearchFormBuilder searchFormBuilder;


  public BenutzerParameterSearchView() {
    super();
  }

  @Override
  public int getDefaultPageSize() {
    return getPageSizeShowAll();
  }

  @Override
  protected AbstractGebietSecurityFilter<BenutzerParameter> getGebietSecurityFilter() {
    return KEIN_GEBIET_SECURITY_FILTER;
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    searchFormBuilder.addProperties(formBuilder, getSearchParameters());
  }

  @Override
  public BenutzerParameterSearchParameters getSearchParameters() {
    BenutzerParameterSearchParameters searchParameters = super.getSearchParameters();
    searchParameters.setBenutzer(getPrincipal().getLogin());
    return searchParameters;
  }

  @Override
  public void presetSearchParameters() {
    // Do nothing
  }

  @Override
  public void resetSearchParametersModel() {
    // Do nothing
  }

  @Override
  public boolean isBtnGoBackRendered() {
    return super.isBtnGoBackRendered() || viewStackContainsOtherViewsAndShouldNotReset();
  }
}
